/*------------------------------------*\
    #NEWS-SLIDER for displaying multiple
    images in 2 columns on detail page
\*------------------------------------*/
/**
 * News slider component.
 */
@import '../1-utils/utils.loader';
@import '../0-settings/settings.components';

$inuit-news-detail-slider-space-horizontal: 10px;
$inuit-news-detail-slider-arrow-size: 40px;

.#{$inuit-namespace}news-detail-slider,
%#{$inuit-namespace}news-detail-slider {
    margin: 0 -1 * $inuit-news-detail-slider-space-horizontal;

    .slick-slide {
        padding: 0;

        @media #{$medium-up} {
            padding: 0 $inuit-news-detail-slider-space-horizontal;
        }
    }

    .c-news-slider__arrow {
        //height: $inuit-news-detail-slider-arrow-size;
        //width: $inuit-news-detail-slider-arrow-size;
        //margin-top: -.5 * $inuit-news-detail-slider-arrow-size;
        top:5px;
        > svg {
            height: inherit;
            width: inherit;
        }

        &--next {
            right:25px;
            @media #{$medium-up} {
                right:35px;
            }
        }
        @media #{$large-up} {
            top: 53%;
        }
        &--prev {
            right: 62px;
            @media #{$medium-up} {
                right: 70px;
            }
        }
    }
    .#{$inuit-namespace}news-slider,
    %#{$inuit-namespace}news-slider {
        &__break,
        &__play {
            position: absolute;
            border: 0;
            background: rgba(255, 255, 2555, .82);
            top: -35px;
            right: auto;
            left: 4px;
            width: 32px;
            height: 32px;
            color: $frs-color-blue;
            z-index: 9;
            font-size: 1.3rem;
            @include epx-transition(background 300ms ease-in-out 0s);
            @media #{$large-up} {
                left: 7px;
                top: -35px;
            }
            @media #{$small-only} {
                top: 13px;
                left: 10px;
            }
        }
        &__play {
            border: 0;
            background: rgba(255, 255, 2555, .82);
        }
    }
    //.o-slider__arrow--prev {
    //    margin-left: $inuit-news-detail-slider-space-horizontal;
    //}
    //
    //.o-slider__arrow--next {
    //    margin-right: $inuit-news-detail-slider-space-horizontal;
    //}
}
